#ifndef POLYGUN_WORLD_CHUNK_HPP
#define POLYGUN_WORLD_CHUNK_HPP

#include "nodes.hpp"

namespace polygun::world {
	class Chunk {
		public:
			Chunk();
			~Chunk();

			void add_node(int node_to_add, glm::vec3 pos);
			bool is_air(glm::vec3 pos);
			int get_node(glm::vec3 pos);
			bool is_neighbour_air(glm::vec3 pos);

			static const int CHUNK_SIZE = 32;

			glm::vec3 chunk_pos;

		private:
			int chunk_data[CHUNK_SIZE][CHUNK_SIZE][CHUNK_SIZE];
	};
}

#endif // POLYGUN_WORLD_CHUNK_HPP